Référence API

112 points de terminaison

Chaque endpoint accepte du JSON et nécessite le header X-API-Key pour l'authentification.

URL de base et en-tête

URL de base
https://horizon.pm/api/v1/app
X-API-Key
La clé API de ton projet. Envoie-la avec chaque requête.

Consulter la référence complète de l'API

Points de terminaison

112 sur 112
MéthodeCheminFonctionnalitésCopier l'URL
GET/marketplace/limitsMarché
GET/marketplace/rulesMarché
GET/marketplaceMarché
GET/marketplace/listingsMarché
GET/marketplace/listings/{listingId}Marché
POST/marketplace/listingsMarché
POST/marketplace/listings/{listingId}/buyMarché
POST/marketplace/listings/{listingId}/cancelMarché
GET/marketplace/operations/{operationId}Marché
POST/marketplace/listings/{listingId}/retry-returnMarché
GET/chat/limitsDiscussion
POST/chat/channels/openDiscussion
POST/chat/channels/{channelId}/syncDiscussion
POST/chat/channels/{channelId}/messagesDiscussion
GET/chat/operations/{operationId}Discussion
POST/chat/channels/{channelId}/messages/{messageId}/reportDiscussion
GET/matchesParties
GET/matches/limitsParties
GET/matches/openParties
GET/matches/{matchId}Parties
POST/matchesParties
POST/matches/{matchId}/joinParties
POST/matches/{matchId}/declineParties
POST/matches/{matchId}/startParties
POST/matches/{matchId}/turnParties
POST/matches/{matchId}/timeoutParties
POST/matches/{matchId}/leaveParties
POST/matches/{matchId}/cancelParties
POST/matches/{matchId}/resultParties
POST/matches/{matchId}/ranked-runParties
GET/shared-objects/collectionsObjets partagés
GET/shared-objects/{collection}/usageObjets partagés
GET/shared-objects/{collection}/objects/{objectId}Objets partagés
POST/shared-objects/{collection}/queryObjets partagés
POST/shared-objects/{collection}/objectsObjets partagés
PUT/shared-objects/{collection}/objects/{objectId}Objets partagés
DELETE/shared-objects/{collection}/objects/{objectId}Objets partagés
GET/itemsObjets
GET/items/catalogObjets
POST/items/adjustObjets
POST/items/equipObjets
POST/items/discardObjets
GET/groupsGroupes
GET/groups/{groupId}Groupes
GET/groups/{groupId}/membersGroupes
GET/groups/{groupId}/pendingGroupes
POST/groupsGroupes
PUT/groups/{groupId}Groupes
POST/groups/{groupId}/joinGroupes
POST/groups/{groupId}/requestGroupes
POST/groups/{groupId}/inviteGroupes
POST/groups/{groupId}/accept-inviteGroupes
POST/groups/{groupId}/decline-inviteGroupes
POST/groups/{groupId}/cancel-inviteGroupes
POST/groups/{groupId}/accept-requestGroupes
POST/groups/{groupId}/decline-requestGroupes
POST/groups/{groupId}/cancel-requestGroupes
POST/groups/{groupId}/leaveGroupes
POST/groups/{groupId}/removeGroupes
POST/groups/{groupId}/roleGroupes
POST/groups/{groupId}/transferGroupes
POST/groups/{groupId}/deleteGroupes
POST/user-management/signupAuthentification
POST/user-management/signinAuthentification
POST/user-management/check-authUtilisateurs
POST/user-management/change-nameUtilisateurs
GET/friendsAmis
GET/friends/findAmis
POST/friends/requestAmis
POST/friends/acceptAmis
POST/friends/declineAmis
POST/friends/cancelAmis
POST/friends/removeAmis
POST/friends/blockAmis
POST/friends/unblockAmis
GET/achievementsSuccès
POST/achievements/unlockSuccès
POST/achievements/rewards/deliverSuccès
GET/inboxBoîte des joueurs
POST/inbox/readBoîte des joueurs
POST/inbox/claimBoîte des joueurs
POST/inbox/removeBoîte des joueurs
GET/statisticsStatistiques joueur
GET/statistics/definitionsStatistiques joueur
POST/statisticsStatistiques joueur
GET/player-valuesValeurs du joueur
GET/player-values/offersValeurs du joueur
POST/player-values/purchaseValeurs du joueur
POST/player-values/adjustValeurs du joueur
GET/player-profileProfil joueur
PUT/player-profileProfil joueur
POST/leaderboard/submitClassement
GET/leaderboards/{boardKey}/topClassement
GET/leaderboards/{boardKey}/rankClassement
GET/leaderboards/{boardKey}/aroundClassement
POST/validated-actions/runsActions validées
POST/validated-actions/submitActions validées
POST/cloud-save/saveSauvegarde Cloud
POST/cloud-save/loadSauvegarde Cloud
GET/remote-config/{configKey}Config Distante
GET/remote-config/allConfig Distante
GET/localization/{key}Localisation
GET/localization/allLocalisation
GET/newsActualités
POST/gift-codes/validateCodes Cadeaux
POST/gift-codes/redeemCodes Cadeaux
POST/email-sending/sendEnvoi d'Emails
GET/email-sending/{emailId}Envoi d'Emails
POST/crash-reports/sessionRapports de plantage
POST/crash-reports/createRapports de plantage
POST/user-feedback/submitAvis des joueurs
POST/user-logs/createJournaux Utilisateur

Exemple de requête

REST (curl)
Bash
1curl -X POST https://horizon.pm/api/v1/app/user-management/signup \
2 -H "Content-Type: application/json" \
3 -H "X-API-Key: horizon_YOUR_API_KEY_HERE" \
4 -d '{"type":"ANONYMOUS","username":"TestPlayer","includeRefreshToken":true}'